Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023111
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-02-19 10:132013-04-03 12:51
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityhighResolutionfixedFixed in VersionRMP21
StatusclosedFix in branchFixed in SCM revision65d637e67e7d
ProjectionnoneETAnoneTarget VersionRMP21
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP19.1SCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023111: Unconfortable error in Openbravo log due to web pos

DescriptionUnconfortable error in Openbravo log due to web pos

The error is :
730944e7 2013-02-19 17:13:08,253 [ajp-8009-121] ERROR org.openbravo.retail.posterminal.WebServiceAuthenticatedServlet - Not authorized
org.openbravo.base.exception.OBSecurityException: Not authorized
    at org.openbravo.retail.posterminal.WebServiceAuthenticatedServlet.service(WebServiceAuthenticatedServlet.java:62)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.utils.SessionExpirationFilter.doFilter(SessionExpirationFilter.java:66)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.utils.CharsetFilter.doFilter(CharsetFilter.java:35)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.client.kernel.KernelFilter$1.doAction(KernelFilter.java:62)
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:46)
    at org.openbravo.client.kernel.KernelFilter.doFilter(KernelFilter.java:71)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.dal.core.DalRequestFilter$1.doAction(DalRequestFilter.java:81)
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:46)
    at org.openbravo.dal.core.DalRequestFilter.doFilter(DalRequestFilter.java:103)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)
    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:298)
    at org.apache.coyote.ajp.AjpAprProcessor.process(AjpAprProcessor.java:429)
    at org.apache.coyote.ajp.AjpAprProtocol$AjpConnectionHandler.process(AjpAprProtocol.java:384)
    at org.apache.tomcat.util.net.AprEndpoint$Worker.run(AprEndpoint.java:1665)
Steps To Reproduce-Configure Web POS and try to login
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0057403)
hgbot (developer)
2013-03-25 10:56

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 65d637e67e7d67ce2f9179d050b9f49581910776
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Mar 25 10:54:40 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/65d637e67e7d67ce2f9179d050b9f49581910776 [^]

Fixed issue 23111. Ugly message will not be shown in the tomcat log on non-authentication exception

---
M src/org/openbravo/retail/posterminal/WebServiceAuthenticatedServlet.java
---
(0057406)
migueldejuana (developer)
2013-03-25 12:10

Fixed and reviewed in 65d637e67e7d
(0057695)
hgbot (developer)
2013-04-02 20:13

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 65d637e67e7d67ce2f9179d050b9f49581910776
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Mar 25 10:54:40 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/65d637e67e7d67ce2f9179d050b9f49581910776 [^]

Fixed issue 23111. Ugly message will not be shown in the tomcat log on non-authentication exception

---
M src/org/openbravo/retail/posterminal/WebServiceAuthenticatedServlet.java
---

- Issue History
Date Modified Username Field Change
2013-02-19 10:13 jecharri New Issue
2013-02-19 10:13 jecharri Assigned To => marvintm
2013-03-04 12:48 jecharri Severity major => minor
2013-03-04 12:48 jecharri Target Version => RMP21
2013-03-25 10:56 hgbot Checkin
2013-03-25 10:56 hgbot Note Added: 0057403
2013-03-25 10:56 hgbot Status new => resolved
2013-03-25 10:56 hgbot Resolution open => fixed
2013-03-25 10:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/65d637e67e7d67ce2f9179d050b9f49581910776 [^]
2013-03-25 12:10 migueldejuana Review Assigned To => migueldejuana
2013-03-25 12:10 migueldejuana Note Added: 0057406
2013-03-25 12:10 migueldejuana Status resolved => closed
2013-03-25 12:10 migueldejuana Fixed in Version => RMP21
2013-04-02 20:13 hgbot Checkin
2013-04-02 20:13 hgbot Note Added: 0057695
2013-04-02 20:13 hgbot Status closed => resolved
2013-04-02 20:13 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/65d637e67e7d67ce2f9179d050b9f49581910776 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/65d637e67e7d67ce2f9179d050b9f49581910776 [^]
2013-04-03 12:51 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker